Subject: Re: linux-next: Tree for July 14

From: Stephen Rothwell <[email-masked]>
Date: Mon, 14 Jul 2008 23:47:37 +1000

On Mon, 14 Jul 2008 13:43:17 +0200 "Gabriel C" <[email-masked]> wrote:
>
> make clean / mrproper is broken , I'm not sure when it broken , I'm
> updating from
> 2.6.26-rc8-next-20080630.
> 
> ...
> 
> crazy@thor:/work/crazy/linux/linux-next/git/linux-2.6$ LC_ALL=C make clean
> scripts/Makefile.clean:17:
> /work/crazy/linux/linux-next/git/linux-2.6/drivers/media/mdtv/Makefile:
> No such file or directory
> make[3]: *** No rule to make target
> `/work/crazy/linux/linux-next/git/linux-2.6/drivers/media/mdtv/Makefile'.
>  Stop.
> make[2]: *** [drivers/media/mdtv] Error 2
> make[1]: *** [drivers/media] Error 2
> make: *** [_clean_drivers] Error 2
> 
> ...
> 
> drivers/media/Makefile has 'obj-$(CONFIG_MDTV_ADAPTERS)  += mdtv/' but
> I cannot see such a folder under drivers/media =). Removing mdtv from
> Makefile fixes the problem.

Commit 0fdb296d34c14520f061828d69a6e537e7dd78a4 ("V4L/DVB (8272):
sms1xxx: move driver from media/mdtv/ to media/dvb/siano/") moved all of
drivers/media/mdtv, but didn;t remove the reference from
drivers/media/Makefile.

Added some cc's
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/